%define expat_version           1.95.5
%define glib2_version           2.6.0
%define dbus_glib_version       0.70
%define dbus_version       0.90
%define dbus_python_version 0.71

%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}

Summary: Hardware Abstraction Layer
Name: hal
Version: 0.5.7.1
Release: %mkrel 9
URL: http://www.freedesktop.org/Software/hal
Source0: http://freedesktop.org/~david/dist/%{name}-%{version}.tar.bz2
# (fc) 0.2.97-3mdk fix start order (Mdk bug #11404)
Patch3: hal-0.2.97-order.patch.bz2
# (fc) 0.4.7-8mdk fix translation
Patch10: hal-0.4.8-fixpo.patch.bz2
# (fc) 0.4.7-9mdk fix media check on usb memory keys (Mdk bug #15070)
Patch11: hal-0.5.4-usbmediacheck.patch.bz2
# (fc) 0.4.7-6mdk fix double volume entries (Mdk bug #15224) (Andrej)
Patch12: hal-0.4.7-doublevolume.patch.bz2
# (fc) 0.5.5.1-3mdk fix default mountpoints
Patch20: hal-0.5.7-defaults.patch.bz2
# (couriousous) 0.5.5.1-4mdk add parallel init informations
Patch21: hal-0.5.7.1-pinit.patch.bz2
# (fc) 0.5.7-2mdv don't stat nfs nor autofs (CVS)
Patch22: hal-0.5.7-fix-for-nfs-and-autofs.patch.bz2
# (fc) 0.5.7-2mdv fix PCMCIA card readers support (CVS)
Patch23: hal-0.5.7-pcmcia-readers.patch.bz2
# (fc) 0.5.7-4mdv add support for pmsuspend (Mdv bug #20501)
Patch25: hal-0.5.7-mdvpower.patch.bz2
# (fc) 0.5.7.1-2mdv don't use deprecated dbus api (CVS)
Patch26: hal-0.5.7.1-dbus-deprecated.patch.bz2
# (fc) 0.5.7.1-4mdv remove assertion when parent udi is not in GDL (Mdv bug #23268)
Patch27: hal-0.5.7.1-removeassertion.patch.bz2
# (fc) 0.5.7.1-4mdv fix race when mounting (Andrej) (Mdv bug #23560)
Patch28: hal-0.5.7.1-preventrace.patch.bz2
# (fc) 0.5.7.1-5mdv fix SCSI/libata CDROM drives (Mdv bug #25567)
Patch29: hal-0.5.7.1-fixscsi.patch.bz2
# (fc) 0.5.7.1-5mdv update FDI for card readers and music players (GIT)
Patch30: hal-0.5.7.1-usbdevicesfdi.patch.bz2
# (fc) 0.5.7.1-6mdv add another nonname card reader
Patch31: hal-0.5.7.1-usbcardreader.patch.bz2
# (fc) 0.5.7.1-7mdv fix get_size (Mdv bug #25408) (GIT)
Patch32: hal-0.5.7.1-fixgetsize.patch.bz2
# (fc) 0.5.7.1-9mdv don't crash with recent dbus (GIT)
Patch33: hal-0.5.7.1-fixdbus.patch.bz2
# (fc) 0.5.7.1-9mdv fix luks support (GIT)
Patch34: hal-0.5.7.1-fixluks.patch.bz2

License: AFL/GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires(pre): rpm-helper
Requires(preun): rpm-helper
Requires(post): rpm-helper
Requires(postun): rpm-helper
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: libcap-devel
BuildRequires: python python-devel
BuildRequires: pciutils
BuildRequires: popt-devel
BuildRequires: docbook-utils
BuildRequires: glibc-static-devel
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
BuildRequires: docbook-dtd412-xml
BuildRequires: doxygen
BuildRequires: intltool
Requires: dbus >= %{dbus_version}
#needed to get pci.ids
Requires: pciutils 
#needed to get usb.ids
Requires: usbutils

%description

HAL is daemon for collection and maintaining information from several
sources about the hardware on the system. It provides a live device
list through D-BUS.


%package gnome
Summary: GNOME based device manager for HAL
Group: Graphical desktop/GNOME
Requires: dbus-python >= %{dbus_python_version}
Requires: pygtk2.0-libglade >= 2.0.0
Requires: gnome-python >= 2.0.0
Requires: gnome-python-gnomevfs >= 2.0.0

%description gnome
GNOME program for displaying the devices detected by HAL

%package -n %{lib_name}
Summary: Shared library for using HAL
Group: System/Libraries
Requires: %name >= %{version}-%{release}

%description -n %{lib_name}
HAL shared library.

%package -n %{lib_name}-devel
Summary: Libraries and headers for HAL
Group: Development/C
Requires: %{name} = %{version}
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
#gw got this from the pkgconfig file:
Requires: dbus-devel >= %{dbus_version}
Conflicts: %{_lib}hal0-devel 

%description -n %{lib_name}-devel

Headers and static libraries for HAL.


%prep
%setup -q
%patch3 -p1 -b .order
%patch10 -p1 -b .fixpo
%patch11 -p1 -b .usbmediacheck
#%patch12 -p1 -b .doublevolume
%patch20 -p1 -b .defaults
%patch21 -p1 -b .pinit
%patch22 -p1 -b .nfs-autofs-no-stat
%patch23 -p1 -b .pcmcia
%patch25 -p1 -b .mdvpower
%patch26 -p1 -b .dbus-deprecated
%patch27 -p1 -b .removeassertion
%patch28 -p1 -b .preventrace
%patch29 -p1 -b .fixscsi
%patch30 -p1 -b .usbdevicesfdi
%patch31 -p1 -b .usbcardreader
%patch32 -p1 -b .fixgetsize
%patch33 -p1 -b .fixdbus
%patch34 -p1 -b .lucks

%build

%configure2_5x \
    --localstatedir=%{_var} \
    --disable-selinux

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

cat << EOF > $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/10-camera-storage.fdi
<?xml version="1.0" encoding="ISO-8859-1"?> <!-- -*- SGML -*- --> 

<!-- Set storage capability for camera with access method "storage"  -->

<deviceinfo version="0.2">
  <device>
    <match key="info.category" string="storage">
      <match key="@storage.physical_device:info.capabilities" exists="true">
        <match key="@storage.physical_device:info.capabilities"
contains="camera">
          <append key="info.capabilities" type="strlist">camera</append>
        </match>
      </match>
    </match>
  </device>
</deviceinfo>
EOF

cat << EOF > $RPM_BUILD_ROOT%{_datadir}/hal/fdi/preprobe/10osvendor/10-usb-disable-mediacheck.fdi
<?xml version="1.0" encoding="ISO-8859-1"?> <!-- -*- SGML -*- -->

<deviceinfo version="0.2">
  <device>
    <match key="storage.bus" string="usb">
      <match key="@storage.physical_device:usb.vendor_id" int="0x67b">
        <match key="@storage.physical_device:usb.product_id" int="0x2317">
          <merge key="storage.media_detection_enabled" type="bool">false</merge>
        </match>
      </match>
      <match key="@storage.physical_device:usb.vendor_id" int="0x054c">
        <match key="@storage.physical_device:usb.product_id" int="0x008b">
          <merge key="storage.media_detection_enabled" type="bool">false</merge>
        </match>
      </match>
    </match>
  </device>
</deviceinfo>
EOF

cat << EOF > $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/10osvendor/99-mandriva-storage-policy-fixed-drives.fdi
<?xml version="1.0" encoding="UTF-8"?> <!-- -*- SGML -*- --> 

<deviceinfo version="0.2">
<device>
  <match key="@block.storage_device:storage.hotpluggable" bool="false">
    <match key="@block.storage_device:storage.removable" bool="false">
      <merge key="volume.ignore" type="bool">true</merge>
    </match>
  </match>
</device>
</deviceinfo>
EOF

cat << EOF > $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/10osvendor/90-default-policy-mount-point-names.fdi
<?xml version="1.0" encoding="ISO-8859-1"?> <!-- -*- SGML -*- --> 

<deviceinfo version="0.2">
  <device>
    <match key="info.category" string="volume">
	<match key="@block.storage_device:portable_audio_player.type" string="ipod">
      		<append key="volume.policy.desired_mount_point" type="string">ipod</append>
    	</match>
    	<match key="@block.storage_device:storage.drive_type" string="floppy">
		<append key="volume.policy.desired_mount_point" type="string">floppy</append>
	</match>
    </match>
  </device>
</deviceinfo>
EOF

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/hal-gnome <<EOF
?package(hal-gnome): \
	command="%{_bindir}/hal-device-manager" \
	needs="X11" \
	section="Configuration/Hardware" \
	icon="hal-device-manager.png" \
	title="Device Manager" \
	longtitle="Shows information about hardware on your system" \
	startup_notify="true" \
	xdg="true"
EOF

mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
convert -scale 48x48 tools/device-manager/fdo-logo.png %buildroot%_liconsdir/hal-device-manager.png
convert -scale 32x32 tools/device-manager/fdo-logo.png %buildroot%_iconsdir/hal-device-manager.png
convert -scale 16x16 tools/device-manager/fdo-logo.png %buildroot%_miconsdir/hal-device-manager.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Device Manager
Comment=Shows information about hardware on your system
Exec=%{_bindir}/hal-device-manager
Icon=hal-device-manager
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Settings;HardwareSettings;X-MandrivaLinux-System-Configuration-Hardware;
EOF

%clean
rm -rf %{buildroot}

%triggerpostun -- hal < 0.2.97-3mdk
/sbin/chkconfig --del haldaemon
/sbin/chkconfig --add haldaemon


%pre
%_pre_useradd haldaemon / /sbin/nologin
%_pre_groupadd daemon haldaemon

%post -n %{lib_name} -p /sbin/ldconfig

%post
if [ "$1" = "2" -a -r %{_datadir}/hal/fdi/30osvendor/locale-policy.fdi ]; then
 mv -f %{_datadir}/hal/fdi/30osvendor/locale-policy.fdi %{_datadir}/hal/fdi/policy/10osvendor/30-locale-policy.fdi > /dev/null
fi
%_post_service haldaemon

%preun
%_preun_service haldaemon

%postun -n %{lib_name} -p /sbin/ldconfig

%postun
%_post_service haldaemon

%post gnome
%update_menus

%postun gnome
%clean_menus

%triggerpostun -- hal < 0.5.7.1
sed -i -e "/# This file is edited by fstab-sync - see 'man fstab-sync' for details/d" -e '/.*\,managed.*/d' /etc/fstab

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS
%doc doc/conf/*.fdi
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/hal.conf
%config(noreplace) %{_sysconfdir}/rc.d/init.d/*
%config(noreplace) %{_sysconfdir}/udev/rules.d/90-hal.rules
%dir %{_sysconfdir}/hal/
%{_sysconfdir}/hal/fdi
%{_sbindir}/*
%{_bindir}/lshal
%{_bindir}/hal-device
%{_bindir}/hal-get-property
%{_bindir}/hal-set-property
%{_bindir}/hal-find-by-capability
%{_bindir}/hal-find-by-property

%{_libexecdir}/hal*

%dir %{_datadir}/hal
%{_datadir}/hal/fdi
%{_datadir}/hal/scripts

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*hal*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/api/html/ doc/TODO doc/spec/*.png doc/spec/*.html
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%files gnome
%defattr(-,root,root)
%{_bindir}/hal-device-manager
%{_datadir}/hal/device-manager
%_menudir/hal-gnome
%_liconsdir/hal-device-manager.png
%_iconsdir/hal-device-manager.png
%_miconsdir/hal-device-manager.png
%{_datadir}/applications/*.desktop

%changelog
* Mon Nov 20 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7.1-9mdv2007.0
- Update patch29 with better fix to not regress with non partionned devices
- Update patch27 with upstream fix
- Patch33 (GIT): Fix compatibility with dbus 1.0 (Mdv bug #26974)
- Patch34 (GIT): fix LUKS support (Mdv bug #24684)

* Fri Nov 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7.1-8mdv2007.0
- Update patch29 to correctly detect MMC devices as block devices (Mdv bug #26915)

* Thu Sep 14 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7.1-7mdv2007.0
- Patch32 (GIT): fix get size (Mdv bug #25408)

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7.1-6mdv2007.0
- Patch31: add another usb card reader
- move fdi file for ums camera to correct location

* Tue Sep 12 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7.1-5mdv2007.0
- Patch29 (RH): fix SCSI cdroms drive support (Mdv bug #25567)
- Patch30 (GIT): update FDI for USB card readers and music players
- Update patch23, fdi part is now in patch30

* Mon Sep 11 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7.1-4mdv2007.0
- Remove patches 0, 24, no longer needed
- Patch27: remove assertion when device in not in GDL (Mdv bug #23268)
- Patch28: prevent race when mounting (Mdv bug #23560)
- add fdi file for camera using ums (Mdv bug #20438)
- Update patch21 to fix Mdv bug #24957

* Tue Aug  1 2006 Gtz Waschk <waschk@mandriva.org> 0.5.7.1-3mdv2007.0
- fix dbus python dep

* Mon Jul 31 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7.1-2mdv2007.0
- Rebuild with latest dbus
- Patch26 (CVS): don't use dbus deprecated api

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 0.5.7.1-1mdv2007.0
- New release 0.5.7.1

* Wed Jun 28 2006 Gtz Waschk <waschk@mandriva.org> 0.5.7-6mdv2007.0
- update patch 20: fix mount directory in cleanup script (arvidjaar)

* Thu Jun 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7-5mdv2007.0
- Add default mount point for floppy 

* Wed Jun 21 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7-4mdv2007.0
- Patch25: add support for pmsuspend (Mdv bug #20501)
- Add default mount point for ipod (Mdv bug #22627)

* Mon Jun 19 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7-3mdv2007.0
- Add storage policy for non hotpluggable/removable harddrive (Fedora) (Mdv bug #23139)
- Update patch21 to start hal after acpid (Mdv bug #22969)
- Migrate to XDG menu

* Fri Jun 16 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7-2mdv2007.0
- Patch22 (CVS): don't stat autofs / nfs mount points
- Patch23 (CVS): fix PCMCIA card readers support 
- Patch24: fix error in initcript (Mdv bug #20878)

* Fri May 19 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7-1mdk
- Release 0.5.7 (it requires kernel 2.6.15 or later)
- Remove patches 5, 6, 22 (no londer relevant), 16, 17, 18, 19 (merged upstream)
- Regenerate patch20
- Remove fstab-sync added line from /etc/fstab after upgrading from 
  older hal

* Tue Apr 18 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.5.1-9mdk
- Add conflicts to easy upgrade
- Patch22 (Andrey) : allow automount of firewire drive (Mdk bug #21919)

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.5.1-8mdk
- Rebuild with latest dbus

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 0.5.5.1-7mdk
- really use new LSB init patch
  (haha, nobody will ever notice the typo it contained)
- mkrel

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 0.5.5.1-6mdk
- convert parallel init to LSB

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.5.1-5mdk
- drop selinux support

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 0.5.5.1-4mdk
- Patch21: Add parallel init info

* Mon Dec 12 2005 Frederic Crozat <fcrozat@mandriva.com> 0.5.5.1-3mdk
- Patch19 (CVS): fix dbus array support
- Patch20: fix mount script

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.5.5.1-2mdk
- add new methods for mount, unmount and eject

* Tue Nov 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.5.5.1-1mdk
- Release 0.5.5.1
- Remove patch15 (merged upstream)
- Patch17 (CVS): fix FAT detection

* Wed Nov 23 2005 Olivier Blin <oblin@mandriva.com> 0.5.4-3mdk
- fix typo in pre script (add haldaemon user, not hamdaemon)

* Thu Nov  3 2005 Olivier Blin <oblin@mandriva.com> 0.5.4-2mdk
- Patch16: use udev_event socket instead of hal.hotplug

* Wed Oct 26 2005 Frederic Crozat <fcrozat@mandriva.com> 0.5.4-1mdk
- Release 0.5.4
- Remove patches 2, 13, 16, 17 (merged upstream), , 8, 14, source 1 (no longer needed)
- Regenerate patches 5, 11
- Disable patches 12 for now

* Sun Oct 09 2005 Pascal Terjan <pterjan@mandriva.org> 0.4.8-15mdk
- Search for udevinfo in /bin

* Fri Sep 16 2005 Helio Chissini de Castro <helio@mandriva.org> 0.4.8-14mdk
- Added non existant pt_BR translation

* Thu Sep 15 2005 Götz Waschk <waschk@mandriva.org> 0.4.8-13mdk
- fix deps for the pre and post scripts

* Tue Sep 13 2005 Olivier Blin <oblin@mandriva.com> 0.4.8-12mdk
- fix hal.dev udev rule so that it is run for the restricted set of
  subsystems that get a DEVNAME (block, class and net)

* Mon Sep 12 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-11mdk 
- don't run hal.dev when node are not creating (stop filling syslog with
  DEVNAME not set error message) (blino)
- fix description (daouda)

* Tue Sep 06 2005 Pascal Terjan <pterjan@mandriva.org> 0.4.8-10mdk
- don't fail when otional fields 5 and 6 are not present

* Mon Aug  8 2005 Olivier Blin <oblin@mandriva.com> 0.4.8-9mdk
- use udev rules to replace deprecated dev.d and hotplug.d links

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-8mdk 
- Add missing dependency in hal-gnome

* Thu Jul 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-7mdk 
- Update patch5, don't enable sync anymore, it doesn't do what we 
  want (Mdk bug #16872)

* Tue Jul 19 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-6mdk 
- Patch12 is back, new version from Andrej, fix Mdk big #15224 without
  regression on USB HD with 2 partitions

* Tue Jul 19 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-5mdk 
- Patch14 : fix floppy detection with kernel >= 2.6.12 (Mdk bug #16759)

* Mon Jul 11 2005 Gtz Waschk <waschk@mandriva.org> 0.4.8-4mdk
- replace prereq
- drop patch 12, it breaks USB HDs with 2 partitions.

* Fri Jul 08 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-3mdk 
- Patch12 (Andrej): fix double volume entries
- Patch13 (CVS): improve DVDRAM and DVDROM-DL detection

* Fri May 27 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4.8-2mdk
- add BuildRequires: automake1.9 intltool

* Fri May 20 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-1mdk 
- Release 0.4.8
- remove patches 4, 9 (merged upstream), 7 (no longer needed)
- update patch10 (partially merged)

* Wed Apr 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.7-11mdk 
- Update patch1& to only disable media check for blaclisted devices

* Mon Apr 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.7-10mdk 
- Remove Sony DSC fdi file, it confuses HAL and g-v-m

* Thu Mar 31 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.7-9mdk 
- Patch11: disable media check after first check for USB memory key (Mdk bug #15070)
- Update patch5 to enable back media check 
- Patch12 (CVS): fix huge memleak

* Thu Mar 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.7-8mdk 
- Patch9 (CVS): fix zip naming
- Patch10 (CVS): fix translation

* Tue Mar  8 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.7-7mdk
- libtool & 64-bit fixes

* Thu Feb 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.7-6mdk 
- Update patch0 to better detect when startup failed (Mdk bug #13949)

* Mon Feb 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.7-5mdk 
- Patch6: detect supermount entry in fstab (Mdk bug #13832)

* Tue Feb 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.7-4mdk 
- Patch4 (Fedora): fix net link status detection
- Patch5: change defaults settings (based on patch from Fabrice Facorat)
- Requires usbutils to get usb.ids
- Enable sysfs carrier and pcmcia support

* Fri Feb 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4.7-3mdk
- add BuildRequires: docbook-dtd412-xml doxygen

* Sat Feb  5 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.7-2mdk
- fix buildrequires

* Thu Jan 27 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.7-1mdk
- add more docs
- New release 0.4.7

* Thu Jan 20 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.5-1mdk
- update file list
- New release 0.4.5

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-1mdk
- New release 0.4.2

* Thu Dec 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-3mdk
- library package now requires main package

* Thu Nov 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-2mdk
- build with libselinux

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- drop merged patches 4,5
- New release 0.4.1

* Fri Nov  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-2mdk
- buildrequires

* Mon Oct 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-1mdk
- Release 0.4.0
- Patch4 (Fedora): fix NON_BLOCK usage
- Patch5 (Fedora): don't use UUID as mount point name

* Fri Sep 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.98-2mdk
- fix buildrequires

* Thu Sep 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.98-1mdk
- adapt file list
- drop merged patch 1
- rediff patch 0
- New release 0.2.98

* Mon Sep 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.97-3mdk
- Patch3 : Start haldaemon earlier in boot process (Mdk bug #11404)

* Mon Sep 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.97-2mdk
- fix buildrequires

* Fri Sep 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.97-1mdk
- Release 0.2.97
- Remove patch 3 (merged upstream)

* Fri Jul 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.94-1mdk
- update file list
- fix build
- New release 0.2.94

* Fri Jul  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.93-1mdk
- add configuration file
- fix URL
- reenable libtooize
- patch2 to fix build
- new version

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.90-3mdk
- remove device manager from main package
- add menu entry for the hal-device-manager

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.90-2mdk
- fix buildrequires

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.90-1mdk
- Release 0.2.90 (grabbed from project Utopia)
- Requires pciutils to get pci.ids file 

* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-5mdk
- fix buildrequires

* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-4mdk
- fix devel requires

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-3mdk
- fix buildrequires

* Thu Jan 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.6-2mdk
- Fix hal-gnome dependency (houpla)

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.6-1mdk
- First Mandrake package  (based on David Zeuthen package)
- Patch0 : fix lock directory location

